<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.45.10.24
Name: Dok2 Adipositas Studie
Description: Template CDA ClinicalDocument (prototype, contains ClinicalDocument.component as StructuredBody)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.45.10.24-2018-04-26T165654-closed">
   <title>Dok2 Adipositas Studie</title>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/*[not(self::hl7:typeId[@root = '2.16.840.1.113883.1.3'][@extension = 'POCD_HD000040'] | self::hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] | self::hl7:id | self::hl7:code[@codeSystem = '2.16.840.1.113883.6.1' or @nullFlavor] | self::hl7:title | self::hl7:recordTarget[hl7:patientRole] | self::hl7:author[hl7:assignedAuthor] | self::hl7:effectiveTime[not(@nullFlavor)] | self::hl7:setId | self::hl7:versionNumber | self::hl7:custodian[hl7:assignedCustodian] | self::hl7:component[@contextConductionInd][hl7:structuredBody])]"
         id="d19e3693-true-d111533e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.24-2018-04-26T165654.html"
              test="not(.)">(CDAAdipositasStudie2)/d19e3693-true-d111533e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:typeId[@root = '2.16.840.1.113883.1.3'][@extension = 'POCD_HD000040'] | hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] | hl7:id | hl7:code[@codeSystem = '2.16.840.1.113883.6.1' or @nullFlavor] | hl7:title | hl7:recordTarget[hl7:patientRole] | hl7:author[hl7:assignedAuthor] | hl7:effectiveTime[not(@nullFlavor)] | hl7:setId | hl7:versionNumber | hl7:custodian[hl7:assignedCustodian] | hl7:component[@contextConductionInd][hl7:structuredBody] (rule-reference: d19e3693-true-d111533e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:recordTarget[hl7:patientRole]/*[not(self::hl7:patientRole)]"
         id="d111566e16-true-d111578e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.18-2018-04-24T104832.html"
              test="not(.)">(CDAProband)/d111566e16-true-d111578e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:patientRole (rule-reference: d111566e16-true-d111578e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/*[not(self::hl7:id | self::hl7:patient)]"
         id="d111566e22-true-d111598e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.18-2018-04-24T104832.html"
              test="not(.)">(CDAProband)/d111566e22-true-d111598e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id | hl7:patient (rule-reference: d111566e22-true-d111598e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient/*[not(self::hl7:id | self::hl7:name | self::hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | self::hl7:birthTime)]"
         id="d111566e28-true-d111639e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.18-2018-04-24T104832.html"
              test="not(.)">(CDAProband)/d111566e28-true-d111639e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id | hl7:name | hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | hl7:birthTime (rule-reference: d111566e28-true-d111639e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient/hl7:name/*[not(self::hl7:given | self::hl7:family)]"
         id="d111566e36-true-d111664e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.18-2018-04-24T104832.html"
              test="not(.)">(CDAProband)/d111566e36-true-d111664e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:given | hl7:family (rule-reference: d111566e36-true-d111664e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:author[hl7:assignedAuthor]/*[not(self::hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | self::hl7:time | self::hl7:assignedAuthor)]"
         id="d111692e16-true-d111744e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.19-2018-04-24T105442.html"
              test="not(.)">(CDAAutor)/d111692e16-true-d111744e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | hl7:time | hl7:assignedAuthor (rule-reference: d111692e16-true-d111744e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/*[not(self::hl7:id | self::hl7:code[@codeSystem = '2.16.840.1.113883.5.111' or @nullFlavor] | self::hl7:addr | self::hl7:telecom | self::hl7:representedOrganization)]"
         id="d111692e29-true-d111818e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.19-2018-04-24T105442.html"
              test="not(.)">(CDAAutor)/d111692e29-true-d111818e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id | hl7:code[@codeSystem = '2.16.840.1.113883.5.111' or @nullFlavor] | hl7:addr | hl7:telecom | hl7:representedOrganization (rule-reference: d111692e29-true-d111818e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/*[not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr | self::hl7:standardIndustryClassCode | self::hl7:asOrganizationPartOf)]"
         id="d111692e45-true-d111882e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.19-2018-04-24T105442.html"
              test="not(.)">(CDAAutor)/d111692e45-true-d111882e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id | hl7:name | hl7:telecom | hl7:addr | hl7:standardIndustryClassCode | hl7:asOrganizationPartOf (rule-reference: d111692e45-true-d111882e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/*[not(self::hl7:id | self::hl7:code[@codeSystem = '2.16.840.1.113883.5.111' or @nullFlavor] | self::hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] | self::hl7:effectiveTime | self::hl7:wholeOrganization)]"
         id="d111845e12-true-d111950e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.19-2018-04-24T105442.html"
              test="not(.)">(CDAAutor)/d111845e12-true-d111950e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id | hl7:code[@codeSystem = '2.16.840.1.113883.5.111' or @nullFlavor] | hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] | hl7:effectiveTime | hl7:wholeOrganization (rule-reference: d111845e12-true-d111950e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/*[not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr | self::hl7:standardIndustryClassCode)]"
         id="d111845e35-true-d112009e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.19-2018-04-24T105442.html"
              test="not(.)">(CDAAutor)/d111845e35-true-d112009e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id | hl7:name | hl7:telecom | hl7:addr | hl7:standardIndustryClassCode (rule-reference: d111845e35-true-d112009e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:custodian[hl7:assignedCustodian]/*[not(self::hl7:assignedCustodian[hl7:representedCustodianOrganization])]"
         id="d112058e13-true-d112070e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="not(.)">(CDAcustodian)/d112058e13-true-d112070e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:assignedCustodian[hl7:representedCustodianOrganization] (rule-reference: d112058e13-true-d112070e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[hl7:representedCustodianOrganization]/*[not(self::hl7:representedCustodianOrganization)]"
         id="d112058e17-true-d112085e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="not(.)">(CDAcustodian)/d112058e17-true-d112085e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:representedCustodianOrganization (rule-reference: d112058e17-true-d112085e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[hl7:representedCustodianOrganization]/hl7:representedCustodianOrganization/*[not(self::hl7:id[not(@nullFlavor)] | self::hl7:name | self::hl7:telecom | self::hl7:addr)]"
         id="d112058e21-true-d112115e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="not(.)">(CDAcustodian)/d112058e21-true-d112115e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id[not(@nullFlavor)] | hl7:name | hl7:telecom | hl7:addr (rule-reference: d112058e21-true-d112115e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:component[@contextConductionInd][hl7:structuredBody]/*[not(self::hl7:structuredBody[hl7:component[@contextConductionInd]])]"
         id="d19e3732-true-d112177e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.24-2018-04-26T165654.html"
              test="not(.)">(CDAAdipositasStudie2)/d19e3732-true-d112177e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:structuredBody[hl7:component[@contextConductionInd]] (rule-reference: d19e3732-true-d112177e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:component[@contextConductionInd][hl7:structuredBody]/hl7:structuredBody[hl7:component[@contextConductionInd]]/*[not(self::hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]])]"
         id="d19e3738-true-d112224e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.24-2018-04-26T165654.html"
              test="not(.)">(CDAAdipositasStudie2)/d19e3738-true-d112224e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]] (rule-reference: d19e3738-true-d112224e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:component[@contextConductionInd][hl7:structuredBody]/hl7:structuredBody[hl7:component[@contextConductionInd]]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/*[not(self::hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']])]"
         id="d19e3744-true-d112270e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.24-2018-04-26T165654.html"
              test="not(.)">(CDAAdipositasStudie2)/d19e3744-true-d112270e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']] (rule-reference: d19e3744-true-d112270e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:component[@contextConductionInd][hl7:structuredBody]/hl7:structuredBody[hl7:component[@contextConductionInd]]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/*[not(self::hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] | self::hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] | self::hl7:templateId[@root = '2.16.840.1.113883.10.12.201'] | self::hl7:code | self::hl7:title | self::hl7:text | self::hl7:effectiveTime | self::hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.26'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]])]"
         id="d112229e8-true-d112354e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.24-2018-04-26T165654.html"
              test="not(.)">(CDAAdipositasStudie2)/d112229e8-true-d112354e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] | hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] | hl7:templateId[@root = '2.16.840.1.113883.10.12.201'] | hl7:code | hl7:title | hl7:text | hl7:effectiveTime | hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.26'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] (rule-reference: d112229e8-true-d112354e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:component[@contextConductionInd][hl7:structuredBody]/hl7:structuredBody[hl7:component[@contextConductionInd]]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.26'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/*[not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.26'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']])]"
         id="d112229e36-true-d112433e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.24-2018-04-26T165654.html"
              test="not(.)">(CDAAdipositasStudie2)/d112229e36-true-d112433e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.26'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']] (rule-reference: d112229e36-true-d112433e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:component[@contextConductionInd][hl7:structuredBody]/hl7:structuredBody[hl7:component[@contextConductionInd]]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.26'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.26'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/*[not(self::hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.26'] | self::hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] | self::hl7:templateId[@root = '2.16.840.1.113883.10.12.303'] | self::hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | self::hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] | self::hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] | self::hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.9'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]])]"
         id="d112409e1-true-d112524e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.24-2018-04-26T165654.html"
              test="not(.)">(CDAAdipositasStudie2)/d112409e1-true-d112524e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.26'] | hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] | hl7:templateId[@root = '2.16.840.1.113883.10.12.303'] | hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] | hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] | hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.9'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] (rule-reference: d112409e1-true-d112524e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:component[@contextConductionInd][hl7:structuredBody]/hl7:structuredBody[hl7:component[@contextConductionInd]]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.26'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.26'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/*[not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']])]"
         id="d112409e36-true-d112585e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.24-2018-04-26T165654.html"
              test="not(.)">(CDAAdipositasStudie2)/d112409e36-true-d112585e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']] (rule-reference: d112409e36-true-d112585e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:component[@contextConductionInd][hl7:structuredBody]/hl7:structuredBody[hl7:component[@contextConductionInd]]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.26'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.26'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/*[not(self::hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.8'] | self::hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] | self::hl7:templateId[@root = '2.16.840.1.113883.10.12.303'] | self::hl7:id | self::hl7:code | self::hl7:text | self::hl7:statusCode | self::hl7:value)]"
         id="d112570e1-true-d112644e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.24-2018-04-26T165654.html"
              test="not(.)">(CDAAdipositasStudie2)/d112570e1-true-d112644e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.8'] | hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] | hl7:templateId[@root = '2.16.840.1.113883.10.12.303'] | hl7:id | hl7:code | hl7:text | hl7:statusCode | hl7:value (rule-reference: d112570e1-true-d112644e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:component[@contextConductionInd][hl7:structuredBody]/hl7:structuredBody[hl7:component[@contextConductionInd]]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.26'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.26'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.9'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/*[not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.9'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']])]"
         id="d112409e38-true-d112714e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.24-2018-04-26T165654.html"
              test="not(.)">(CDAAdipositasStudie2)/d112409e38-true-d112714e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.9'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']] (rule-reference: d112409e38-true-d112714e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:component[@contextConductionInd][hl7:structuredBody]/hl7:structuredBody[hl7:component[@contextConductionInd]]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.25'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.26'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.26'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.9'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.9'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/*[not(self::hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.9'] | self::hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] | self::hl7:templateId[@root = '2.16.840.1.113883.10.12.303'] | self::hl7:id | self::hl7:code | self::hl7:text | self::hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] | self::hl7:value)]"
         id="d112699e1-true-d112779e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.24-2018-04-26T165654.html"
              test="not(.)">(CDAAdipositasStudie2)/d112699e1-true-d112779e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.9'] | hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] | hl7:templateId[@root = '2.16.840.1.113883.10.12.303'] | hl7:id | hl7:code | hl7:text | hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] | hl7:value (rule-reference: d112699e1-true-d112779e0)</assert>
   </rule>
</pattern>
