<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.45.10.5
Name: CDA Section t
Description: Template CDA Section (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427">
   <title>CDA Section t</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.45.10.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]]
Item: (CDASectionT)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.45.10.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]
Item: (CDASectionT)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]"
         id="d19e5907-false-d13220518e0">
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(CDASectionT): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']) &gt;= 1">(CDASectionT): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']) &lt;= 1">(CDASectionT): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427.html"
              test="count(hl7:templateId[not(@root = '2.16.840.1.113883.10.12.201')]) &gt;= 1">(CDASectionT): Element hl7:templateId[not(@root = '2.16.840.1.113883.10.12.201')] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427.html"
              test="count(hl7:templateId[not(@root = '2.16.840.1.113883.10.12.201')]) &lt;= 1">(CDASectionT): Element hl7:templateId[not(@root = '2.16.840.1.113883.10.12.201')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10871-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(CDASectionT): Element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10871-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427.html"
              test="count(hl7:title) &lt;= 1">(CDASectionT): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427.html"
              test="count(hl7:text) &lt;= 1">(CDASectionT): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.45.10.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']
Item: (CDASectionT)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']"
         id="d19e5911-false-d13220919e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASectionT): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.99.61.45.10.5')">(CDASectionT): Der Wert von root MUSS '2.16.840.1.113883.3.1937.99.61.45.10.5' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.45.10.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]/hl7:templateId[not(@root = '2.16.840.1.113883.10.12.201')]
Item: (CDASectionT)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]/hl7:templateId[not(@root = '2.16.840.1.113883.10.12.201')]"
         id="d19e5916-false-d13220934e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASectionT): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427.html"
              test="string(@root) = ('2.16.840.1.113883.10.12.201')">(CDASectionT): Der Wert von root MUSS '2.16.840.1.113883.10.12.201' sein. Gefunden: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427.html"
              test="not(@root)">(CDASectionT): Attribut @root DARF NICHT vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.45.10.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10871-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (CDASectionT)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10871-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d19e5921-false-d13220955e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASectionT): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10871-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(CDASectionT): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10871 DocumentSectionType (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.45.10.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]/hl7:title
Item: (CDASectionT)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]/hl7:title"
         id="d19e5926-false-d13220977e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASectionT): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.45.10.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]/hl7:text
Item: (CDASectionT)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]/hl7:text"
         id="d19e5929-false-d13220988e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASectionT): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.45.10.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]/hl7:entry[@typeCode]
Item: (CDASectionT)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]/hl7:entry[@typeCode]">
      <extends rule="d13221367e0-false-d13221371e0"/>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427.html"
              test="@typeCode">(CDASectionT): Attribut @typeCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19446-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(CDASectionT): Der Wert von typeCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19446' x_ActRelationshipEntry (DYNAMIC).</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.5-2018-04-16T114427.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(CDASectionT): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@contextConductionInd"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.300
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.5']]/hl7:entry[@typeCode]
Item: (CDAClinicalStatement)
-->
   <rule id="d13221367e0-false-d13221371e0" abstract="true">
      <let name="elmcount"
           value="count(hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.12.301']] | hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.12.302']] | hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']] | hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.10.12.304']] | hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.12.305']] | hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']] | hl7:regionOfInterest[hl7:templateId[@root = '2.16.840.1.113883.10.12.307']] | hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.10.12.308']] | hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.12.309']])"/>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.10.12.300-2005-09-07T000000.html"
              test="$elmcount &gt;= 1">(CDAClinicalStatement): Auswahl (hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.12.301']]  oder  hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.12.302']]  oder  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]  oder  hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.10.12.304']]  oder  hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]  oder  hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]  oder  hl7:regionOfInterest[hl7:templateId[@root = '2.16.840.1.113883.10.12.307']]  oder  hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]  oder  hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.12.309']]) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.10.12.300-2005-09-07T000000.html"
              test="$elmcount &lt;= 1">(CDAClinicalStatement): Auswahl (hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.12.301']]  oder  hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.12.302']]  oder  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]  oder  hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.10.12.304']]  oder  hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]  oder  hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.12.306']]  oder  hl7:regionOfInterest[hl7:templateId[@root = '2.16.840.1.113883.10.12.307']]  oder  hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]  oder  hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.12.309']]) enthält zu viele Elemente [max 1x]</assert>
   </rule>
</pattern>
