<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.45.10.43
Name: Dok4 Messwert Organizer
Description: Template CDA Organizer (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335">
   <title>Dok4 Messwert Organizer</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.45.10.43
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]]
Item: (Dok4MesswertOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.45.10.43
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]
Item: (Dok4MesswertOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]"
         id="d19e5310-false-d12450764e0">
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335.html"
              test="@classCode">(Dok4MesswertOrganizer): Attribut @classCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),'\s'))"/>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335.html"
              test="not(@classCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19598-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(Dok4MesswertOrganizer): Der Wert von classCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19598' x_ActClassDocumentEntryOrganizer (DYNAMIC).</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Dok4MesswertOrganizer): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43']) &gt;= 1">(Dok4MesswertOrganizer): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43']) &lt;= 1">(Dok4MesswertOrganizer): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.12.305']) &gt;= 1">(Dok4MesswertOrganizer): Element hl7:templateId[@root = '2.16.840.1.113883.10.12.305'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.12.305']) &lt;= 1">(Dok4MesswertOrganizer): Element hl7:templateId[@root = '2.16.840.1.113883.10.12.305'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335.html"
              test="count(hl7:code) &lt;= 1">(Dok4MesswertOrganizer): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &gt;= 1">(Dok4MesswertOrganizer): Element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &lt;= 1">(Dok4MesswertOrganizer): Element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Dok4MesswertOrganizer): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.45.10.43
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43']
Item: (Dok4MesswertOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43']"
         id="d19e5319-false-d12450857e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Dok4MesswertOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.99.61.45.10.43')">(Dok4MesswertOrganizer): Der Wert von root MUSS '2.16.840.1.113883.3.1937.99.61.45.10.43' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.45.10.43
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]/hl7:templateId[@root = '2.16.840.1.113883.10.12.305']
Item: (Dok4MesswertOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]/hl7:templateId[@root = '2.16.840.1.113883.10.12.305']"
         id="d19e5324-false-d12450873e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Dok4MesswertOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335.html"
              test="string(@root) = ('2.16.840.1.113883.10.12.305')">(Dok4MesswertOrganizer): Der Wert von root MUSS '2.16.840.1.113883.10.12.305' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.45.10.43
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]/hl7:id
Item: (Dok4MesswertOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]/hl7:id"
         id="d19e5329-false-d12450888e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Dok4MesswertOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.45.10.43
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]/hl7:code
Item: (Dok4MesswertOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]/hl7:code"
         id="d19e5332-false-d12450899e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Dok4MesswertOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.45.10.43
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (Dok4MesswertOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]"
         id="d19e5334-false-d12450913e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Dok4MesswertOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Dok4MesswertOrganizer): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15933 ActStatus (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.45.10.43
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]/hl7:effectiveTime
Item: (Dok4MesswertOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]/hl7:effectiveTime"
         id="d19e5339-false-d12450935e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/smul/smul-html-20180821T095010/tmp-2.16.840.1.113883.3.1937.99.61.45.10.43-2018-05-03T103335.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Dok4MesswertOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.45.10.43
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.43'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.305']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.42'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.26'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]
Item: (Dok4MesswertOrganizer)
--></pattern>
